Bug 182887 - [MAINTAINER] cad/repsnapper: update to 2.3.0a1
Summary: [MAINTAINER] cad/repsnapper: update to 2.3.0a1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-10 23:50 UTC by martin.dieringer
Modified: 2013-11-01 21:30 UTC (History)
0 users

See Also:


Attachments
repsnapper-2.3.0a1.patch (1.14 KB, patch)
2013-10-10 23:50 UTC, martin.dieringer
no flags Details | Diff
diff (1.96 KB, patch)
2013-10-31 18:05 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2013-10-10 23:50:00 UTC
- Update to 2.3.0a1
- add USE_GCC (for FreeBSD 10?)

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-10-11 17:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 martin.dieringer 2013-10-26 23:31:06 UTC
New patch that compiles with clang on 10.
Does not compile with gcc. So no OpenMP support.

--- repsnapper-2.3.0a3.patch begins here ---
diff -ruN /usr/ports/cad/repsnapper/Makefile ./Makefile
--- /usr/ports/cad/repsnapper/Makefile	2013-09-29 19:01:41.000000000 +0200
+++ ./Makefile	2013-10-27 00:27:52.774194191 +0200
@@ -2,8 +2,7 @@
 # $FreeBSD: cad/repsnapper/Makefile 328711 2013-09-29 17:01:41Z zeising $
 
 PORTNAME=	repsnapper
-PORTVERSION=	2.2.0b3
-PORTREVISION=	1
+PORTVERSION=	2.3.0a3
 CATEGORIES=	cad
 MASTER_SITES=	https://codeload.github.com/timschmidt/repsnapper/tar.gz/
 DISTNAME=	${PORTVERSION}
@@ -41,17 +40,14 @@
 USE_AUTOTOOLS=	automake libtool
 USE_XORG=	ice pixman sm x11 xau xcb xcomposite xcursor xdamage xdmcp \
 		xext xfixes xi xinerama xmu xrandr xrender xt xxf86vm
+INSTALLS_ICONS=	yes
+#USE_GCC=	any
 
 NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+OPTIONS_DEFINE=	NLS
+OPTIONS_SUB=	yes
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=	gettext
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 INSTALL_TARGET=	install-strip
diff -ruN /usr/ports/cad/repsnapper/distinfo ./distinfo
--- /usr/ports/cad/repsnapper/distinfo	2013-09-04 17:39:52.000000000 +0200
+++ ./distinfo	2013-10-27 00:04:47.139222896 +0200
@@ -1,2 +1,2 @@
-SHA256 (repsnapper/2.2.0b3) = 2f55ce6bc19bba84bb6dbcda12f6546fa306fa163527d009ea8d730b85d80513
-SIZE (repsnapper/2.2.0b3) = 1314244
+SHA256 (repsnapper/2.3.0a3) = 6678480e93bdc04c5137ca385d6effa4de5bec8cd18b351333abf3da07b0d5fb
+SIZE (repsnapper/2.3.0a3) = 1309707
diff -ruN /usr/ports/cad/repsnapper/pkg-plist ./pkg-plist
--- /usr/ports/cad/repsnapper/pkg-plist	2013-10-22 15:57:35.000000000 +0200
+++ ./pkg-plist	2013-05-14 19:44:08.000000000 +0200
@@ -9,6 +9,7 @@
 share/repsnapper/repsnapper.svg
 share/icons/hicolor/scalable/apps/repsnapper.svg
 @dirrmtry etc/xdg/repsnapper
+@dirrmtry share/applications
 @dirrmtry share/locale/de_DE/LC_MESSAGES
 @dirrmtry share/locale/de_DE
 @dirrm share/repsnapper
--- repsnapper-2.3.0a3.patch ends here ---
Comment 3 martin.dieringer 2013-10-31 18:05:04 UTC

next version 2.3.0a4
Comment 4 dfilter service freebsd_committer 2013-11-01 21:26:40 UTC
Author: danilo
Date: Fri Nov  1 21:26:32 2013
New Revision: 332410
URL: http://svnweb.freebsd.org/changeset/ports/332410

Log:
  - Update from 2.2.0b3 to 2.3.0a4
  - Use options helpers
  - Add stage support
  
  PR:		ports/182887
  Submitted by:	Martin Dieringer <martin.dieringer@gmx.de> (maintainer)

Modified:
  head/cad/repsnapper/Makefile
  head/cad/repsnapper/distinfo
  head/cad/repsnapper/pkg-plist

Modified: head/cad/repsnapper/Makefile
==============================================================================
--- head/cad/repsnapper/Makefile	Fri Nov  1 21:21:40 2013	(r332409)
+++ head/cad/repsnapper/Makefile	Fri Nov  1 21:26:32 2013	(r332410)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	repsnapper
-PORTVERSION=	2.2.0b3
-PORTREVISION=	1
+PORTVERSION=	2.3.0a4
 CATEGORIES=	cad
 MASTER_SITES=	https://codeload.github.com/timschmidt/repsnapper/tar.gz/
 DISTNAME=	${PORTVERSION}
@@ -41,17 +40,12 @@ USE_GL=		gl
 USE_AUTOTOOLS=	automake libtool
 USE_XORG=	ice pixman sm x11 xau xcb xcomposite xcursor xdamage xdmcp \
 		xext xfixes xi xinerama xmu xrandr xrender xt xxf86vm
+INSTALLS_ICONS=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=		gettext
-PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=	--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+OPTIONS_DEFINE=	NLS
+OPTIONS_SUB=	yes
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=	gettext
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 INSTALL_TARGET=	install-strip
@@ -67,12 +61,9 @@ post-configure:
 		${WRKSRC}/po/Makefile
 
 post-install:
-	${MKDIR} ${PREFIX}/etc/xdg/repsnapper
+	@${MKDIR} ${STAGEDIR}${PREFIX}/etc/xdg/repsnapper
 	${INSTALL_DATA} ${WRKSRC}/src/repsnapper.conf \
-		${PREFIX}/etc/xdg/repsnapper/repsnapper.conf.sample
-	@if [ ! -f ${PREFIX}/etc/xdg/repsnapper/repsnapper.conf ]; then \
-		${CP} -p ${PREFIX}/etc/xdg/repsnapper/repsnapper.conf.sample \
-			${PREFIX}/etc/xdg/repsnapper/repsnapper.conf ; \
-	fi
+		${STAGEDIR}${PREFIX}/etc/xdg/repsnapper/repsnapper.conf.sample
+
 
 .include <bsd.port.mk>

Modified: head/cad/repsnapper/distinfo
==============================================================================
--- head/cad/repsnapper/distinfo	Fri Nov  1 21:21:40 2013	(r332409)
+++ head/cad/repsnapper/distinfo	Fri Nov  1 21:26:32 2013	(r332410)
@@ -1,2 +1,2 @@
-SHA256 (repsnapper/2.2.0b3) = 2f55ce6bc19bba84bb6dbcda12f6546fa306fa163527d009ea8d730b85d80513
-SIZE (repsnapper/2.2.0b3) = 1314244
+SHA256 (repsnapper/2.3.0a4) = 5ec82eb6ea7db06d4d8acc82f3e3b01fdee5bf9006880ec34fe244dc96420d53
+SIZE (repsnapper/2.3.0a4) = 1310808

Modified: head/cad/repsnapper/pkg-plist
==============================================================================
--- head/cad/repsnapper/pkg-plist	Fri Nov  1 21:21:40 2013	(r332409)
+++ head/cad/repsnapper/pkg-plist	Fri Nov  1 21:26:32 2013	(r332410)
@@ -1,14 +1,14 @@
 bin/repsnapper
 @unexec if cmp -s %D/etc/xdg/repsnapper/repsnapper.conf.sample %D/etc/xdg/repsnapper/repsnapper.conf; then rm -f %D/etc/xdg/repsnapper/repsnapper.conf; fi
 etc/xdg/repsnapper/repsnapper.conf.sample
-@exec if [ ! -f %D/etc/xdg/repsnapper/repsnapper.conf ] ; then cp -p %D/%F %B/xdg/repsnapper/repsnapper.conf; fi
+@exec if [ ! -f %D/etc/xdg/repsnapper/repsnapper.conf ] ; then cp -p %D/%F %B/repsnapper.conf; fi
 share/applications/repsnapper.desktop
-share/locale/en_GB/LC_MESSAGES/repsnapper.mo
-share/locale/de_DE/LC_MESSAGES/repsnapper.mo
-share/repsnapper/repsnapper.ui
-share/repsnapper/repsnapper.svg
+%%NLS%%share/locale/en_GB/LC_MESSAGES/repsnapper.mo
+%%NLS%%share/locale/de_DE/LC_MESSAGES/repsnapper.mo
+%%DATADIR%%/repsnapper.ui
+%%DATADIR%%/repsnapper.svg
 share/icons/hicolor/scalable/apps/repsnapper.svg
 @dirrmtry etc/xdg/repsnapper
-@dirrmtry share/locale/de_DE/LC_MESSAGES
-@dirrmtry share/locale/de_DE
-@dirrm share/repsnapper
+%%NLS%%@dirrmtry share/locale/de_DE/LC_MESSAGES
+%%NLS%%@dirrmtry share/locale/de_DE
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Danilo Egea Gondolfo freebsd_committer 2013-11-01 21:27:03 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!